%define major	14
%define libname	%mklibname nfs %{major}
%define devname	%mklibname nfs -d

Name:		libnfs
Version:	5.0.2
Release:	%mkrel 1
Summary:	Client library for accessing NFS shares over a network
# The library is licensed as LGPLv2+, the protocol definition is BSD
License:	LGPLv2+ and BSD
Group:		System/Libraries
URL:		https://github.com/sahlberg/libnfs
Source0:	https://github.com/sahlberg/libnfs/archive/libnfs-%{version}.tar.gz
BuildRequires:	pkgconfig(libevent)

%description
The libnfs package contains a library of functions for accessing NFSv2
and NFSv3 servers from user space. It provides a low-level, asynchronous
RPC library for accessing NFS protocols, an asynchronous library with
POSIX-like VFS functions, and a synchronous library with POSIX-like VFS
functions.

%package -n	%{libname}
Summary:	Shared library of libnfs
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the library needed to run programs dynamically
linked with libnfs.

%package -n	%{devname}
Summary:	Development files for libnfs
Group:		Development/C
# The library is licensed as LGPLv2+, the protocol definition is BSD
# and the example source code is GPLv3+.
License:	LGPLv2+ and BSD and GPLv3+
Requires:	%{libname} = %{version}-%{release}
Provides:	nfs-devel = %{version}-%{release}
Provides:	libnfs-devel = %{version}-%{release}

%description -n	%{devname}
The %devname package contains libraries and header files for
developing applications that use libnfs.

%package	utils
Summary:	Utilities for accessing NFS servers
License:	GPLv3+
Group:		Networking/Other

%description	utils
The libnfs-utils package contains simple client programs for accessing
NFS servers using libnfs.

%prep
%setup -q -n libnfs-libnfs-%{version}

%build
# ./bootstrap just runs autoreconf
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license COPYING
%license LICENCE-*.txt
%doc README
%{_libdir}/libnfs.so.%{major}{,.*}

%files -n %{devname}
%doc examples/*.c
%{_libdir}/libnfs.so
%{_includedir}/nfsc/
%{_libdir}/pkgconfig/libnfs.pc

%files utils
%{_bindir}/nfs-*
%{_mandir}/man1/nfs-*.1*


%changelog
* Thu Oct 20 2022 ghibo <ghibo> 5.0.2-1.mga9
+ Revision: 1897811
- Update to release 5.0.2

* Sat Mar 19 2022 umeabot <umeabot> 5.0.1-2.mga9
+ Revision: 1799677
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 luigiwalser <luigiwalser> 5.0.1-1.mga9
+ Revision: 1789517
- 5.0.1
- library major is now 14

* Sun May 24 2020 wally <wally> 4.0.0-3.mga8
+ Revision: 1587195
- derop python2 BR

* Sun Feb 16 2020 umeabot <umeabot> 4.0.0-2.mga8
+ Revision: 1532207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 16 2019 tv <tv> 4.0.0-1.mga8
+ Revision: 1442148
- new release
- major is now 13

* Mon Jan 28 2019 shlomif <shlomif> 3.0.0-1.mga8
+ Revision: 1361645
- New version 3.0.0

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1299045
- Mageia 7 Mass Rebuild
+ wally <wally>
- drop unneeded requires (lib requires are generated

* Sun Jan 28 2018 wally <wally> 2.0.0-1.mga7
+ Revision: 1197621
- new version 2.0.0
- new lib major 11

* Thu Mar 16 2017 ghibo <ghibo> 1.11.0-1.mga6
+ Revision: 1093147
- Update to release 1.11.0

* Tue Apr 26 2016 tv <tv> 1.9.8-1.mga6
+ Revision: 1006592
- adjust license
- package examples
- easy sync with FC
- package license
- introduce the utils sub package
- major is now 8
- new release (needed for Qemu)

* Fri Apr 15 2016 tv <tv> 1.6.0-6.mga6
+ Revision: 1001834
- provides libnfs-devel

* Mon Feb 08 2016 umeabot <umeabot> 1.6.0-5.mga6
+ Revision: 942691
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 749598
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 681646
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 545160
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.6.0-1.mga4
+ Revision: 500868
- new version 1.6.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ anssi <anssi>
- drop README from library package

* Sat Mar 03 2012 anssi <anssi> 1.3.0-1.mga2
+ Revision: 217361
- initial Mageia package release

